Bug 848701

Summary: [abrt] gnome-terminal-3.4.1.1-1.fc17: g_object_notify: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Javier Jardón <jjardon>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: bahtiar, brpocock, cristian.ciupitu, fweimer, manoj.yanni, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:04d1cbd83bb68ebb475f9f032ecfbb696292681e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 00:17:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: maps
none
File: dso_list none

Description Javier Jardón 2012-08-16 04:46:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: g_object_notify
executable:     /usr/bin/gnome-terminal
kernel:         3.5.1-1.fc17.x86_64
pid:            1506
pwd:            /home/ukexjaja
remote_result:  748905
time:           Thu 16 Aug 2012 17:03:35 KST
uid:            1000
username:       ukexjaja

backtrace:      Text file, 24163 bytes
dso_list:       Text file, 9237 bytes
maps:           Text file, 41003 bytes

build_ids:
:f534feded388130df4a9e789eec1e38c320bc55b
:f69712fe393313f44607679e934bf5a67f39ec50
:986068be78827a73bf98ef4d4f23cc915f298fd6
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:142c4a09083a5b2a763b8303aaee51ee1b363cc9
:7024c532984148e2b555c6194ff684a6d0e80d78
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:5b0ef4adb3be2f980643de2a2f9e43422958832f
:87712be648d2d43ea4cd002fe7a859df636f1e13
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:f0744af1bb8fe6f60d724de6aad6d6c63006677e
:e3354959e32e471066df83c93f98f33e75198697
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:b262a361763f91cca5e5826440bebaa4bc8cfebe
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:4c9c864a7c7b7ed702088955821d58137803462d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:8f7c190397d7c1f617e66f18f759714662b60367
:1d4df97fa6024b097b634a272447243c95c26d85
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ukexjaja/2

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x157a6 g_object_notify libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x9a9da gtk_adjustment_value_changed libgtk-3.so.0 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x2a93f - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x2b0ee - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x2b748 - libvte2_90.so.9 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x30ecf - libvte2_90.so.9 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4822b - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:986068be78827a73bf98ef4d4f23cc915f298fd6 0x136c3 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Latitude.teleca
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/ukexjaja/keyring-xAnfc0
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ukexjaja
:USERNAME=ukexjaja
:MAIL=/var/spool/mail/ukexjaja
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ukexjaja/.local/bin:/home/ukexjaja/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ukexjaja
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1066
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ukexjaja
:SHLVL=1
:LOGNAME=ukexjaja
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-V8ZBTN3q1V,guid=2d4b42533e829178ff7dd4f800000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ukexjaja
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-ukexjaja-imUikg/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1070,unix/unix:/tmp/.ICE-unix/1070
:GPG_AGENT_INFO=/run/user/ukexjaja/keyring-xAnfc0/gpg:0:1
:SSH_AUTH_SOCK=/run/user/ukexjaja/keyring-xAnfc0/ssh
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1506
:DESKTOP_STARTUP_ID=gnome-shell-1286-Latitude.teleca-gnome-terminal-0_TIME55821

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31377                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31377                31377                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ukexjaja/.xsession-errors
:pos:	115513
:flags:	0102002
:2:/home/ukexjaja/.xsession-errors
:pos:	115513
:flags:	0102002
:3:socket:[23929]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[23194]
:pos:	0
:flags:	02004002
:6:socket:[23931]
:pos:	0
:flags:	02000002
:7:socket:[23196]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[23198]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/dev/ptmx
:pos:	0
:flags:	0104002
:13:/dev/pts/2
:pos:	0
:flags:	0100002
:14:socket:[23239]
:pos:	0
:flags:	02
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/dev/ptmx
:pos:	0
:flags:	0104002
:17:/dev/ptmx
:pos:	0
:flags:	0104002
:18:/tmp/vteYNIQIW (deleted)
:pos:	636
:flags:	0100002
:19:/tmp/vteBYIQIW (deleted)
:pos:	64
:flags:	0100002
:20:/tmp/vteO59QIW (deleted)
:pos:	81149
:flags:	0100002
:21:/tmp/vteYFARIW (deleted)
:pos:	14384
:flags:	0100002
:22:/dev/pts/1
:pos:	0
:flags:	0100002
:23:/tmp/vte9CARIW (deleted)
:pos:	29728
:flags:	0100002
:24:/tmp/vte5GC1IW (deleted)
:pos:	841108
:flags:	0100002
:25:/tmp/vteEAC1IW (deleted)
:pos:	210544
:flags:	0100002
:26:/tmp/vte4GH1IW (deleted)
:pos:	115920
:flags:	0100002
:27:/tmp/vte3S0OIW (deleted)
:pos:	636
:flags:	0100002
:28:/tmp/vteX4ZOIW (deleted)
:pos:	64
:flags:	0100002
:29:/dev/pts/3
:pos:	0
:flags:	0100002
:30:/dev/ptmx
:pos:	0
:flags:	0104002
:31:/tmp/vtePTPPIW (deleted)
:pos:	11512
:flags:	0100002
:32:/tmp/vteZZPPIW (deleted)
:pos:	3456
:flags:	0100002
:33:/tmp/vteM76OIW (deleted)
:pos:	636
:flags:	0100002
:34:/tmp/vteWB7OIW (deleted)
:pos:	64
:flags:	0100002
:35:/tmp/vteVXQQIW (deleted)
:pos:	3616
:flags:	0100002
:36:/dev/pts/0
:pos:	0
:flags:	0100002

var_log_messages:
:Aug 16 17:03:35 Latitude kernel: [79668.112866] gnome-terminal[1506]: segfault at 1 ip 0000003582a157a6 sp 00007fff02752880 error 4 in libgobject-2.0.so.0.3200.4[3582a00000+4b000]
:Aug 16 17:03:35 Latitude abrt[26075]: Saved core dump of pid 1506 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-08-16-17:03:35-1506 (47067136 bytes)
Comment 1 Javier Jardón 2012-08-16 04:47:01 EDT
Created attachment 604828 [details]
File: backtrace
Comment 2 Javier Jardón 2012-08-16 04:47:04 EDT
Created attachment 604829 [details]
File: maps
Comment 3 Javier Jardón 2012-08-16 04:47:07 EDT
Created attachment 604830 [details]
File: dso_list
Comment 4 manoj.yanni 2012-10-08 15:38:26 EDT
I was writing a Unix program with almost 4 tabs opened in the same terminal, and all of a sudden i got a SIGSEGV and the terminal closed down.

backtrace_rating: 4
Package: gnome-terminal-3.4.1.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Florian Weimer 2013-01-09 09:20:57 EST
I pressed some keys inside a terminal window.

backtrace_rating: 4
Package: gnome-terminal-3.4.1.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Bahtiar `kalkin` Gadimov 2013-02-06 08:32:45 EST
Same problem here. Had 3 terminal windows open, one of which had two tabs. It everything was killed for no reason.
Comment 7 Fedora End Of Life 2013-07-03 20:30:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:17:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.